Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Interface IDocHandler

All Known Implementing Classes:
  Request

    public interface IDocHandler

Defines the parser callbacks.

Author:
  jostb

Method Summary
`void` | `begin(ParserTag[] tag)` Called for each <tag arg1 ...
`ParserString` | `createParserString()` Parser string factory
`void` | `end(ParserString[] strings)` Called for each </tag>

Method Detail

### begin

    void begin(ParserTag[] tag)

  Called for each <tag arg1 ... argn>

  Parameters:
    `tag` - The tag and the args.

### end

    void end(ParserString[] strings)

  Called for each </tag>

  Parameters:
    `strings` - The tag and the args.
  See Also:
    `begin(ParserTag[])`

### createParserString

    ParserString createParserString()

  Parser string factory

  Returns:
    The parser string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD